cross version interoperability

Developers
2009-09-06
2013-05-14
  • Michael Lazar
    Michael Lazar
    2009-09-06

    Does anyone know if you can have older versions of ehCache communicating with new ones?  we are trying to deploy a set of caches that will work over a WAN and are concerned that we can not upgrade all cache instances at the same time. Can I upgrade some but wait to upgrade others and still have interoperability?

     
    • Andrew Liles
      Andrew Liles
      2009-09-06

      In order that someone can answer the question, please state which distribution mechanism you use to communicate between Cache Managers: there are several, e.g. RMI, JGroups, JMS and which version of the core product you use and proposed version you are upgrading to.  Depending on which distribution mechanism you are using, e.g. JMS, this is packaged separately so will have a different version number.

       
    • Michael Lazar
      Michael Lazar
      2009-09-08

      We are looking at using either RMI or JGroups. We need to benchmark them to see which will handle our throughput better.  We are looking at using 1.5, but looking ahead to future concerns such as upgrade issues to a live syste.